//+------------------------------------------------------------------+
//|                                                       i-NASA.mq4 |
//|                                                      Version 1.0 |
//|                                     Copyright  2009, Goalkeeper |
//|                                   http://forum.forexpeoples.com/ |
//+------------------------------------------------------------------+
//|        :        |
//| -   ;                                          |
//| -     ;                                |
//| -    BUY    ;                 |
//| -    SELL    ;                |
//| -     ;                       |
//| -  ,     ;         |
//| -        ;         |
//| -  /     1 ;           |
//| -  /     "PPips" ;   |
//+------------------------------------------------------------------+
//|                                :                    |
//+------------------------------------------------------------------+
//|                                             |
//|                                                  spread swap.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
//|       ,          |
//|   :                                          |
//|                                            . aka KimIV  |
//|                                             http://www.kimiv.ru  |
//+------------------------------------------------------------------+
#property copyright                   "Copyright  2009, Goalkeeper"
#property link                      "http://forum.forexpeoples.com/"
#property indicator_separate_window
//====    ====
extern string   __     = "Lot Size from 0.1 to 8.0";//   0.1  8.0
extern double   Lot_01 = 0.50;   //   
extern double   Lot_02 = 1.00;   //   
extern double   Lot_03 = 2.00;   //   
extern double   Lot_04 = 3.00;   //   
extern double   Lot_05 = 4.00;   //   
extern string   ___    = "Risk % of Deposit";
extern double   Risk   = 40.0;   //  %      
extern string   ____   = "Profit (points)";
extern int      PPips  = 20;     // -      
//====  ====
int      X01      = 3;           //    
int      StepX01  = 60;          //    1- 
int      X02      = 115;         //    
int      StepX02  = 100;         //    2- 
int      X03      = 245;         //    
int      StepX03  = 65;          //    3- 
int      X04      = 370;         //    
int      StepX04  = 110;         //    4- 
int      StepX05  = 95;          //    5-  .. 
int      StepX06  = 45;          //     
int      Y01      = 20;          //  Y  
//====  ====
color    Color1   = Gray;        //  
color    Color2   = Lime;        //   (+)
color    Color3   = Red;         //   (-)
color    Color4   = Aqua;        //  
//====  ====
int      FontSize = 8;           //  
string   FontName = "Arial";     // 
string   ShortName = "Ground Control :)";//  
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
   {
   DeleteObjects();
   IndicatorShortName(ShortName);
   return(0);
   }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
   {
   DeleteObjects();
   return(0);
   }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
   {
   DeleteObjects();
//====   ====
   double      swaplong, swapshort, dolg, profit, balance, depozit, free;
   double      percent_01, percent_02, percent_03, percent_04, percent_05;
   double      pips_01, pips_02, pips_03, pips_04, pips_05;
   int         spread, golova;
   color       ColorLot_01, ColorLot_02, ColorLot_03, ColorLot_04, ColorLot_05, ColorType, ColorProfit;
   string      type;
//====   ====
   int StepY   = MathCeil(1.5*FontSize);                          //   
   spread      = MarketInfo(Symbol(),13);                         // 
   swaplong    = NormalizeDouble(MarketInfo(Symbol(),18),2);      //   Buy
   swapshort   = NormalizeDouble(MarketInfo(Symbol(),19),2);      //   Sell
   golova      = AccountLeverage();                               //  
   balance     = AccountBalance();                                //  
   depozit     = AccountEquity();                                 //  
   free        = AccountFreeMargin();                             //   
   dolg        = NormalizeDouble(MarketInfo(Symbol(),32),2);      //    1.0
   profit      = NormalizeDouble(MarketInfo(Symbol(),16),2);      //   1    1.0
   percent_01  = NormalizeDouble((dolg*Lot_01*100/balance),1);    //      Lot_01
   percent_02  = NormalizeDouble((dolg*Lot_02*100/balance),0);    //      Lot_02
   percent_03  = NormalizeDouble((dolg*Lot_03*100/balance),0);    //      Lot_03
   percent_04  = NormalizeDouble((dolg*Lot_04*100/balance),0);    //      Lot_04
   percent_05  = NormalizeDouble((dolg*Lot_05*100/balance),0);    //      Lot_05
   pips_01     = (profit*Lot_01*100)/balance;                     //    1     Lot_01
   pips_02     = (profit*Lot_02*100)/balance;                     //    1     Lot_02
   pips_03     = (profit*Lot_03*100)/balance;                     //    1     Lot_03
   pips_04     = (profit*Lot_04*100)/balance;                     //    1     Lot_04
   pips_05     = (profit*Lot_05*100)/balance;                     //    1     Lot_05
//====     %  ====
   double   RiskDepo = AccountBalance()*Risk/100;
   ColorLot_01 = Color2;
      if ((dolg*Lot_01)<RiskDepo)   ColorLot_01 = Color2;
            else                    ColorLot_01 = Color3;
   ColorLot_02 = Color2;
      if ((dolg*Lot_02)<RiskDepo)   ColorLot_02 = Color2;
            else                    ColorLot_02 = Color3;
   ColorLot_03 = Color2;
      if ((dolg*Lot_03)<RiskDepo)   ColorLot_03 = Color2;
            else                    ColorLot_03 = Color3;
   ColorLot_04 = Color2;
      if ((dolg*Lot_04)<RiskDepo)   ColorLot_04 = Color2;
            else                    ColorLot_04 = Color3;
   ColorLot_05 = Color2;
      if ((dolg*Lot_05)<RiskDepo)   ColorLot_05 = Color2;
            else                    ColorLot_05 = Color3;
//====    /  ====
   ColorProfit = Color2;
      if (depozit>=balance)         ColorProfit = Color2;
            else                    ColorProfit = Color3;
//====    ====
   if (IsDemo())  type = "DEMO";
      else        type = "REAL";
   if (IsDemo())  ColorType = Color3;
      else        ColorType = Color4;
//====   ====
   double   volotil_01, volotil_02, volotil_03, volotil_04, volotil_05;
   volotil_01  = (iHigh(NULL,1440,0)     - iLow(NULL,1440,0))      /Point;   // 
   volotil_02  = (iHigh(NULL,1440*7,0)   - iLow(NULL,1440*7,0))    /Point;   //  
   volotil_03  = (iHigh(NULL,1440*30,0)  - iLow(NULL,1440*30,0))   /Point;   //  
//====   ====
   ObjectCreate   ("NASA_01", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_01", "Symbol :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_01", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_01", OBJPROP_XDISTANCE, X01);
   ObjectSet      ("NASA_01", OBJPROP_YDISTANCE, Y01);

   ObjectCreate   ("NASA_02", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_02", Symbol(), FontSize, FontName, Color4);
   ObjectSet      ("NASA_02", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_02", OBJPROP_XDISTANCE, X01+StepX01);
   ObjectSet      ("NASA_02", OBJPROP_YDISTANCE, Y01);
//====   ====
   ObjectCreate   ("NASA_03", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_03", "Spread :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_03", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_03", OBJPROP_XDISTANCE, X01);
   ObjectSet      ("NASA_03", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_04", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_04", DoubleToStr(spread ,0), FontSize, FontName, Color4);
   ObjectSet      ("NASA_04", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_04", OBJPROP_XDISTANCE, X01+StepX01);
   ObjectSet      ("NASA_04", OBJPROP_YDISTANCE, Y01+StepY);
//====   BUY ====
   ObjectCreate   ("NASA_05", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_05", "Swap Buy :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_05", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_05", OBJPROP_XDISTANCE, X01);
   ObjectSet      ("NASA_05", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_06", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_06", DoubleToStr(swaplong ,2), FontSize, FontName, ColorZero(swaplong));
   ObjectSet      ("NASA_06", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_06", OBJPROP_XDISTANCE, X01+StepX01);
   ObjectSet      ("NASA_06", OBJPROP_YDISTANCE, Y01+2*StepY);
//====   SELL ====
   ObjectCreate   ("NASA_07", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_07", "Swap Sell :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_07", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_07", OBJPROP_XDISTANCE, X01);
   ObjectSet      ("NASA_07", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_08", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_08", DoubleToStr(swapshort ,2), FontSize, FontName, ColorZero(swapshort));
   ObjectSet      ("NASA_08", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_08", OBJPROP_XDISTANCE, X01+StepX01);
   ObjectSet      ("NASA_08", OBJPROP_YDISTANCE, Y01+3*StepY);
//====    ====
   ObjectCreate   ("NASA_21", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_21", "Hi - Lo today :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_21", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_21", OBJPROP_XDISTANCE, X02);
   ObjectSet      ("NASA_21", OBJPROP_YDISTANCE, Y01);

   ObjectCreate   ("NASA_22", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_22", DoubleToStr(volotil_01, 0), FontSize, FontName, Color2);
   ObjectSet      ("NASA_22", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_22", OBJPROP_XDISTANCE, X02+StepX02);
   ObjectSet      ("NASA_22", OBJPROP_YDISTANCE, Y01);
//====     ====
   ObjectCreate   ("NASA_23", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_23", "Hi - Lo week :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_23", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_23", OBJPROP_XDISTANCE, X02);
   ObjectSet      ("NASA_23", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_24", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_24", DoubleToStr(volotil_02, 0), FontSize, FontName, Color2);
   ObjectSet      ("NASA_24", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_24", OBJPROP_XDISTANCE, X02+StepX02);
   ObjectSet      ("NASA_24", OBJPROP_YDISTANCE, Y01+StepY);
//====     ====
   ObjectCreate   ("NASA_25", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_25", "Hi - Lo mounth :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_25", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_25", OBJPROP_XDISTANCE, X02);
   ObjectSet      ("NASA_25", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_26", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_26", DoubleToStr(volotil_03, 0), FontSize, FontName, Color2);
   ObjectSet      ("NASA_26", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_26", OBJPROP_XDISTANCE, X02+StepX02);
   ObjectSet      ("NASA_26", OBJPROP_YDISTANCE, Y01+2*StepY);
//====     ====
   ObjectCreate   ("NASA_27", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_27", "Account :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_27", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_27", OBJPROP_XDISTANCE, X02);
   ObjectSet      ("NASA_27", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_28", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_28", type, FontSize, FontName, ColorType);
   ObjectSet      ("NASA_28", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_28", OBJPROP_XDISTANCE, X02+StepX02/2.5);
   ObjectSet      ("NASA_28", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_29", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_29", "1 : " +DoubleToStr(golova, 0), FontSize, FontName, ColorType);
   ObjectSet      ("NASA_29", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_29", OBJPROP_XDISTANCE, X02+StepX02-StepX02/6);
   ObjectSet      ("NASA_29", OBJPROP_YDISTANCE, Y01+3*StepY);
//====    ====
   ObjectCreate   ("NASA_31", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_31", "Risk, % :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_31", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_31", OBJPROP_XDISTANCE, X03);
   ObjectSet      ("NASA_31", OBJPROP_YDISTANCE, Y01);

   ObjectCreate   ("NASA_32", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_32", DoubleToStr(Risk,1), FontSize, FontName, Color3);
   ObjectSet      ("NASA_32", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_32", OBJPROP_XDISTANCE, X03+StepX03);
   ObjectSet      ("NASA_32", OBJPROP_YDISTANCE, Y01);
//====     ====
   ObjectCreate   ("NASA_33", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_33", "Balance :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_33", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_33", OBJPROP_XDISTANCE, X03);
   ObjectSet      ("NASA_33", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_34", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_34", DoubleToStr(balance, 2), FontSize, FontName, Color2);
   ObjectSet      ("NASA_34", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_34", OBJPROP_XDISTANCE, X03+StepX03);
   ObjectSet      ("NASA_34", OBJPROP_YDISTANCE, Y01+StepY);
//====    ====
   ObjectCreate   ("NASA_35", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_35", "Equity :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_35", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_35", OBJPROP_XDISTANCE, X03);
   ObjectSet      ("NASA_35", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_36", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_36", DoubleToStr(depozit, 2), FontSize, FontName, ColorProfit);
   ObjectSet      ("NASA_36", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_36", OBJPROP_XDISTANCE, X03+StepX03);
   ObjectSet      ("NASA_36", OBJPROP_YDISTANCE, Y01+2*StepY);
//====    ====
   ObjectCreate   ("NASA_37", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_37", "Available :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_37", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_37", OBJPROP_XDISTANCE, X03);
   ObjectSet      ("NASA_37", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_38", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_38", DoubleToStr(free, 2), FontSize, FontName, ColorZero(free));
   ObjectSet      ("NASA_38", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_38", OBJPROP_XDISTANCE, X03+StepX03);
   ObjectSet      ("NASA_38", OBJPROP_YDISTANCE, Y01+3*StepY);
//====    ====
   ObjectCreate   ("NASA_41", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_41", "Lot Size :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_41", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_41", OBJPROP_XDISTANCE, X04);
   ObjectSet      ("NASA_41", OBJPROP_YDISTANCE, Y01);

   ObjectCreate   ("NASA_42", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_42", DoubleToStr(Lot_01, 2), FontSize, FontName, ColorLot_01);
   ObjectSet      ("NASA_42", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_42", OBJPROP_XDISTANCE, X04+StepX04);
   ObjectSet      ("NASA_42", OBJPROP_YDISTANCE, Y01);

   ObjectCreate   ("NASA_52", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_52", DoubleToStr(Lot_02, 2), FontSize, FontName, ColorLot_02);
   ObjectSet      ("NASA_52", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_52", OBJPROP_XDISTANCE, X04+StepX04+StepX05);
   ObjectSet      ("NASA_52", OBJPROP_YDISTANCE, Y01);

   ObjectCreate   ("NASA_62", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_62", DoubleToStr(Lot_03, 2), FontSize, FontName, ColorLot_03);
   ObjectSet      ("NASA_62", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_62", OBJPROP_XDISTANCE, X04+StepX04+2*StepX05);
   ObjectSet      ("NASA_62", OBJPROP_YDISTANCE, Y01);

   ObjectCreate   ("NASA_72", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_72", DoubleToStr(Lot_04, 2), FontSize, FontName, ColorLot_04);
   ObjectSet      ("NASA_72", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_72", OBJPROP_XDISTANCE, X04+StepX04+3*StepX05);
   ObjectSet      ("NASA_72", OBJPROP_YDISTANCE, Y01);

   ObjectCreate   ("NASA_82", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_82", DoubleToStr(Lot_05, 2), FontSize, FontName, ColorLot_05);
   ObjectSet      ("NASA_82", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_82", OBJPROP_XDISTANCE, X04+StepX04+4*StepX05);
   ObjectSet      ("NASA_82", OBJPROP_YDISTANCE, Y01);
//====    ====
   ObjectCreate   ("NASA_43", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_43", "Margin amount :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_43", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_43", OBJPROP_XDISTANCE, X04);
   ObjectSet      ("NASA_43", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_44", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_44", DoubleToStr(dolg*Lot_01, 2), FontSize, FontName, ColorLot_01);
   ObjectSet      ("NASA_44", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_44", OBJPROP_XDISTANCE, X04+StepX04);
   ObjectSet      ("NASA_44", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_54", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_54", DoubleToStr(dolg*Lot_02, 2), FontSize, FontName, ColorLot_02);
   ObjectSet      ("NASA_54", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_54", OBJPROP_XDISTANCE, X04+StepX04+StepX05);
   ObjectSet      ("NASA_54", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_64", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_64", DoubleToStr(dolg*Lot_03, 2), FontSize, FontName, ColorLot_03);
   ObjectSet      ("NASA_64", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_64", OBJPROP_XDISTANCE, X04+StepX04+2*StepX05);
   ObjectSet      ("NASA_64", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_74", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_74", DoubleToStr(dolg*Lot_04, 2), FontSize, FontName, ColorLot_04);
   ObjectSet      ("NASA_74", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_74", OBJPROP_XDISTANCE, X04+StepX04+3*StepX05);
   ObjectSet      ("NASA_74", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_84", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_84", DoubleToStr(dolg*Lot_05, 2), FontSize, FontName, ColorLot_05);
   ObjectSet      ("NASA_84", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_84", OBJPROP_XDISTANCE, X04+StepX04+4*StepX05);
   ObjectSet      ("NASA_84", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_144", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_144", " ("+DoubleToStr(percent_01, 1)+"%)", FontSize, FontName, ColorLot_01);
   ObjectSet      ("NASA_144", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_144", OBJPROP_XDISTANCE, X04+StepX04+StepX06);
   ObjectSet      ("NASA_144", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_154", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_154", " ("+DoubleToStr(percent_02, 1)+"%)", FontSize, FontName, ColorLot_02);
   ObjectSet      ("NASA_154", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_154", OBJPROP_XDISTANCE, X04+StepX04+StepX05+StepX06);
   ObjectSet      ("NASA_154", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_164", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_164", " ("+DoubleToStr(percent_03, 1)+"%)", FontSize, FontName, ColorLot_03);
   ObjectSet      ("NASA_164", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_164", OBJPROP_XDISTANCE, X04+StepX04+2*StepX05+StepX06);
   ObjectSet      ("NASA_164", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_174", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_174", " ("+DoubleToStr(percent_04, 1)+"%)", FontSize, FontName, ColorLot_04);
   ObjectSet      ("NASA_174", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_174", OBJPROP_XDISTANCE, X04+StepX04+3*StepX05+StepX06);
   ObjectSet      ("NASA_174", OBJPROP_YDISTANCE, Y01+StepY);

   ObjectCreate   ("NASA_184", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_184", " ("+DoubleToStr(percent_05, 1)+"%)", FontSize, FontName, ColorLot_05);
   ObjectSet      ("NASA_184", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_184", OBJPROP_XDISTANCE, X04+StepX04+4*StepX05+StepX06);
   ObjectSet      ("NASA_184", OBJPROP_YDISTANCE, Y01+StepY);
//====    1  ====
   ObjectCreate   ("NASA_45", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_45", "+ / -  at 1 Point:", FontSize, FontName, Color1);
   ObjectSet      ("NASA_45", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_45", OBJPROP_XDISTANCE, X04);
   ObjectSet      ("NASA_45", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_46", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_46", DoubleToStr(profit*Lot_01, 2), FontSize, FontName, Color2);
   ObjectSet      ("NASA_46", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_46", OBJPROP_XDISTANCE, X04+StepX04);
   ObjectSet      ("NASA_46", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_56", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_56", DoubleToStr(profit*Lot_02, 2), FontSize, FontName, Color2);
   ObjectSet      ("NASA_56", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_56", OBJPROP_XDISTANCE, X04+StepX04+StepX05);
   ObjectSet      ("NASA_56", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_66", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_66", DoubleToStr(profit*Lot_03, 2), FontSize, FontName, Color2);
   ObjectSet      ("NASA_66", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_66", OBJPROP_XDISTANCE, X04+StepX04+2*StepX05);
   ObjectSet      ("NASA_66", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_76", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_76", DoubleToStr(profit*Lot_04, 2), FontSize, FontName, Color2);
   ObjectSet      ("NASA_76", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_76", OBJPROP_XDISTANCE, X04+StepX04+3*StepX05);
   ObjectSet      ("NASA_76", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_86", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_86", DoubleToStr(profit*Lot_05, 2), FontSize, FontName, Color2);
   ObjectSet      ("NASA_86", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_86", OBJPROP_XDISTANCE, X04+StepX04+4*StepX05);
   ObjectSet      ("NASA_86", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_146", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_146", " ("+DoubleToStr(pips_01, 2)+"%)", FontSize, FontName, Color4);
   ObjectSet      ("NASA_146", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_146", OBJPROP_XDISTANCE, X04+StepX04+StepX06);
   ObjectSet      ("NASA_146", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_156", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_156", " ("+DoubleToStr(pips_02, 2)+"%)", FontSize, FontName, Color4);
   ObjectSet      ("NASA_156", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_156", OBJPROP_XDISTANCE, X04+StepX04+StepX05+StepX06);
   ObjectSet      ("NASA_156", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_166", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_166", " ("+DoubleToStr(pips_03, 2)+"%)", FontSize, FontName, Color4);
   ObjectSet      ("NASA_166", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_166", OBJPROP_XDISTANCE, X04+StepX04+2*StepX05+StepX06);
   ObjectSet      ("NASA_166", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_176", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_176", " ("+DoubleToStr(pips_04, 2)+"%)", FontSize, FontName, Color4);
   ObjectSet      ("NASA_176", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_176", OBJPROP_XDISTANCE, X04+StepX04+3*StepX05+StepX06);
   ObjectSet      ("NASA_176", OBJPROP_YDISTANCE, Y01+2*StepY);

   ObjectCreate   ("NASA_186", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_186", " ("+DoubleToStr(pips_05, 2)+"%)", FontSize, FontName, Color4);
   ObjectSet      ("NASA_186", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_186", OBJPROP_XDISTANCE, X04+StepX04+4*StepX05+StepX06);
   ObjectSet      ("NASA_186", OBJPROP_YDISTANCE, Y01+2*StepY);
//====    PPips  ====
   ObjectCreate   ("NASA_47", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_47", "+ / -  at "+DoubleToStr(PPips, 0)+" Points :", FontSize, FontName, Color1);
   ObjectSet      ("NASA_47", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_47", OBJPROP_XDISTANCE, X04);
   ObjectSet      ("NASA_47", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_48", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_48", DoubleToStr(profit*PPips*Lot_01, 2), FontSize, FontName, Color2);
   ObjectSet      ("NASA_48", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_48", OBJPROP_XDISTANCE, X04+StepX04);
   ObjectSet      ("NASA_48", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_58", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_58", DoubleToStr(profit*PPips*Lot_02, 2), FontSize, FontName, Color2);
   ObjectSet      ("NASA_58", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_58", OBJPROP_XDISTANCE, X04+StepX04+StepX05);
   ObjectSet      ("NASA_58", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_68", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_68", DoubleToStr(profit*PPips*Lot_03, 2), FontSize, FontName, Color2);
   ObjectSet      ("NASA_68", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_68", OBJPROP_XDISTANCE, X04+StepX04+2*StepX05);
   ObjectSet      ("NASA_68", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_78", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_78", DoubleToStr(profit*PPips*Lot_04, 2), FontSize, FontName, Color2);
   ObjectSet      ("NASA_78", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_78", OBJPROP_XDISTANCE, X04+StepX04+3*StepX05);
   ObjectSet      ("NASA_78", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_88", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_88", DoubleToStr(profit*PPips*Lot_05, 2), FontSize, FontName, Color2);
   ObjectSet      ("NASA_88", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_88", OBJPROP_XDISTANCE, X04+StepX04+4*StepX05);
   ObjectSet      ("NASA_88", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_148", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_148", " ("+DoubleToStr(pips_01*PPips, 2)+"%)", FontSize, FontName, Color4);
   ObjectSet      ("NASA_148", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_148", OBJPROP_XDISTANCE, X04+StepX04+StepX06);
   ObjectSet      ("NASA_148", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_158", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_158", " ("+DoubleToStr(pips_02*PPips, 2)+"%)", FontSize, FontName, Color4);
   ObjectSet      ("NASA_158", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_158", OBJPROP_XDISTANCE, X04+StepX04+StepX05+StepX06);
   ObjectSet      ("NASA_158", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_168", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_168", " ("+DoubleToStr(pips_03*PPips, 2)+"%)", FontSize, FontName, Color4);
   ObjectSet      ("NASA_168", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_168", OBJPROP_XDISTANCE, X04+StepX04+2*StepX05+StepX06);
   ObjectSet      ("NASA_168", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_178", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_178", " ("+DoubleToStr(pips_04*PPips, 2)+"%)", FontSize, FontName, Color4);
   ObjectSet      ("NASA_178", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_178", OBJPROP_XDISTANCE, X04+StepX04+3*StepX05+StepX06);
   ObjectSet      ("NASA_178", OBJPROP_YDISTANCE, Y01+3*StepY);

   ObjectCreate   ("NASA_188", OBJ_LABEL, WindowFind(ShortName), 0, 0);
   ObjectSetText  ("NASA_188", " ("+DoubleToStr(pips_05*PPips, 2)+"%)", FontSize, FontName, Color4);
   ObjectSet      ("NASA_188", OBJPROP_CORNER, 0);
   ObjectSet      ("NASA_188", OBJPROP_XDISTANCE, X04+StepX04+4*StepX05+StepX06);
   ObjectSet      ("NASA_188", OBJPROP_YDISTANCE, Y01+3*StepY);
//====
   return(0);
   }
//+------------------------------------------------------------------+
//| Objects delete function                                          |
//+------------------------------------------------------------------+
void DeleteObjects()
   {
   for(int i=ObjectsTotal();i>=0;i--)
      {
      if(StringSubstr(ObjectName(i),0,6)=="NASA_")
      ObjectDelete(ObjectName(i));
      }
   }
//+------------------------------------------------------------------+
//| Objects color modify function ( x < 0 < x )                      |
//+------------------------------------------------------------------+
color ColorZero(double bigg)
   {
   color ColorModify = Color1;
      if (bigg>0)    ColorModify = Color2;
      if (bigg<0)    ColorModify = Color3;
      if (bigg==0)   ColorModify = Color4;
   return(ColorModify);
   }
//+------------------------------------------------------------------+